## NMSettingOvsExternalIDs NMSettingOvsExternalIDs |

## Functions

NMSetting * | nm_setting_ovs_external_ids_new ()
const char *const * | nm_setting_ovs_external_ids_get_data_keys ()
const char * | nm_setting_ovs_external_ids_get_data ()
void | nm_setting_ovs_external_ids_set_data ()
gboolean | nm_setting_ovs_external_ids_check_key ()
gboolean | nm_setting_ovs_external_ids_check_val ()

## Types and Values

#define | NM_SETTING_OVS_EXTERNAL_IDS_SETTING_NAME
#define | NM_SETTING_OVS_EXTERNAL_IDS_DATA

## Description

## Functions

### nm_setting_ovs_external_ids_new ()

    NMSetting *
    nm_setting_ovs_external_ids_new (void);

### nm_setting_ovs_external_ids_get_data_keys ()

    const char *const *
    nm_setting_ovs_external_ids_get_data_keys
                                   (NMSettingOvsExternalIDs *setting,
                                    guint *out_len);

### nm_setting_ovs_external_ids_get_data ()

    const char *
    nm_setting_ovs_external_ids_get_data (NMSettingOvsExternalIDs *setting,
                                          const char *key);

### nm_setting_ovs_external_ids_set_data ()

    void
    nm_setting_ovs_external_ids_set_data (NMSettingOvsExternalIDs *setting,
                                          const char *key,
                                          const char *val);

### nm_setting_ovs_external_ids_check_key ()

    gboolean
    nm_setting_ovs_external_ids_check_key (const char *key,
                                           GError **error);

### nm_setting_ovs_external_ids_check_val ()

    gboolean
    nm_setting_ovs_external_ids_check_val (const char *val,
                                           GError **error);

## Types and Values

### NM_SETTING_OVS_EXTERNAL_IDS_SETTING_NAME

    #define NM_SETTING_OVS_EXTERNAL_IDS_SETTING_NAME "ovs-external-ids"

### NM_SETTING_OVS_EXTERNAL_IDS_DATA

    #define NM_SETTING_OVS_EXTERNAL_IDS_DATA "data"